## pure-doc-0.7.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-doc-$(version)
version = 0.7

# Try to guess the installation prefix (this needs GNU make):
prefix = $(patsubst %/bin/pure$(EXE),%,$(shell which pure 2>/dev/null))
ifeq ($(strip $(prefix)),)
# Fall back to /usr/local.
prefix = /usr/local
endif

# Installation goes into $(bindir) and $(datadir), you can also set this
# directly instead of $(prefix).
bindir = $(prefix)/bin
libdir = $(prefix)/lib
datadir = $(libdir)/pure

# Try to guess the host system type and do platform-specific setup.
host = $(shell ./config.guess)
ifneq "$(findstring -mingw,$(host))" ""
# Windows
EXE = .exe
endif

DISTFILES = COPYING Makefile README config.guess fixdoc pure-doc.ll pure-doc.cc debian/*
SEDFILES = README

all: pure-doc

pure-doc: pure-doc.cc

pure-doc.cc: pure-doc.ll
	flex -o $@ $<

clean:
	rm -f pure-doc$(EXE)

realclean: clean

install:
	test -d "$(DESTDIR)$(bindir)" || mkdir -p "$(DESTDIR)$(bindir)"
	test -d "$(DESTDIR)$(datadir)" || mkdir -p "$(DESTDIR)$(datadir)"
	cp pure-doc "$(DESTDIR)$(bindir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/pure-doc"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv http://pure-lang.googlecode.com/files/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-doc (0.6-2) natty; urgency=low

  * Latest upstream (rev. 3ae82900eb49)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 11:27:21 +0200

pure-doc (0.6-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 15:57:44 +0200

=== debian/control ===
Source: pure-doc
Section: devel
Priority: extra
Maintainer: Albert Graef <Dr.Graef@t-online.de>
Build-Depends: debhelper (>= 7.0.50~), flex
Standards-Version: 3.9.1
Homepage: http://pure-lang.googlecode.com
#Vcs-Git: git://git.debian.org/collab-maint/pure-doc.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pure-doc.git;a=summary

Package: pure-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Literate programming utility for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a simple utility for literate programming
 and documenting source code written in the Pure programming language.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php pure-doc-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
http://pure-lang.googlecode.com/files/pure-doc-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/pure-doc-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/pure-doc/pure-doc-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html pure-doc-(.*)\.tar\.gz
